/*
*
* Author: Giacomo Lozito <james@develia.org>, (C) 2005-2006
*
* This program is free software; you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by the
* Free Software Foundation; either version 2 of the License, or (at your
* option) any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
*
*/

#include "gmutoo.h"

int
main ( int argc, char* argv[] )
{
  /* initialize type system and gtk */
  g_type_init();
  gtk_init( &argc , &argv );

  /* initialize log handler */
  g_log_set_handler(NULL , G_LOG_LEVEL_WARNING , g_log_default_handler , NULL);

  /* start monitor system */
  gmu_mon_init();

  /* add custom icons/images */
  gmu_ui_icons_init();

  /* read config file */
  gmu_cfg_read_file();

  /* draw tray icon and fill it with widgets/events */
  gmu_ui_trayapp_start( gmu_ui_trayapp() );

  gtk_main();
  return 0;
}
